> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate Offramp

> Convert crypto to fiat via offramp. This does not affect your Bullring balance.



## OpenAPI

````yaml /api-reference/openapi.json post /v2/ramp/{subaccountId}/banking/offramp/initiate
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v2/ramp/{subaccountId}/banking/offramp/initiate:
    post:
      tags:
        - Offramp
      summary: Initiate Offramp
      description: >-
        Convert crypto to fiat via offramp. This does not affect your Bullring
        balance.
      parameters:
        - name: subaccountId
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                from:
                  type: object
                  properties:
                    chain:
                      description: |2-
                         **Production:** `lightning`, `ETH`, `SOL`.

                        **Staging:** `lightning`, `SOL-DEVNET`, `ETH-SEPOLIA`.
                      enum:
                        - lightning
                        - SOL-DEVNET
                        - ETH-SEPOLIA
                        - ETH
                        - MATIC
                        - SOL
                    asset:
                      type: string
                      enum:
                        - STABLE_SATS
                        - USDC
                        - USDT
                    amount:
                      type: number
                      description: This in the from currency i.e USDT, USDC or STABLE_SATS
                    sender_address:
                      type: string
                to:
                  type: object
                  properties:
                    recipient_id:
                      type: string
                client_offramp_reference:
                  type: string
                  description: This must be a valid UUID
            example:
              from:
                chain: SOL-DEVNET
                asset: USDC
                amount: 10
                sender_address: 6FxHYG9TnJRg933piXUBu2R2mzB13htrNifX3NYU73it
              to:
                recipient_id: 39e4f180-b558-4346-bf5f-2ec9c6b444f4
              client_offramp_reference: 5a26b319-fc68-4ee2-83f2-19889571619d
      responses:
        '201':
          description: Offramp initiated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  type:
                    type: string
                  status:
                    type: string
                  created_at:
                    type: string
                    format: date-time
                  account_id:
                    type: string
                  client_offramp_reference:
                    type: string
                  from:
                    type: object
                    properties:
                      amount:
                        type: string
                      asset:
                        type: string
                      network:
                        type: string
                      address:
                        type: string
                  to:
                    type: object
                    properties:
                      currency:
                        type: string
                      gross_amount:
                        type: string
                      net_amount:
                        type: string
                      recipient_id:
                        type: string
                  pricing:
                    type: object
                    properties:
                      fx_rate:
                        type: string
                      fees:
                        type: object
                        properties:
                          offramp_fee:
                            type: string
                          offramp_fee_currency:
                            type: string
                          network_fee:
                            type: string
                          network_fee_asset:
                            type: string
                          total_fees:
                            type: string
                          total_fees_currency:
                            type: string
              example:
                id: 0a90865e-5f9f-4ac7-9498-ad7e6a99d224
                type: offramp
                status: pending
                created_at: '2026-01-30T13:17:13.200Z'
                account_id: bb9bb7f8-53a1-4d2b-9d44-972462772789
                client_offramp_reference: 5a26b319-fc68-4ee2-83f2-19889571619d
                from:
                  amount: '10'
                  asset: USDC
                  network: SOL-DEVNET
                  address: 6n3pQZwdFRFRNDFUAsWp2WdsYxBjP1BG8kp94fccSXif
                to:
                  currency: BRL
                  gross_amount: '50'
                  net_amount: '45'
                  recipient_id: 39e4f180-b558-4346-bf5f-2ec9c6b444f4
                pricing:
                  fx_rate: '5.0'
                  fees:
                    offramp_fee: '1.5'
                    offramp_fee_currency: BRL
                    network_fee: '0.75'
                    network_fee_asset: USDC
                    total_fees: '5.43'
                    total_fees_currency: BRL
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                statusCode: 404
                timestamp: '2026-01-12T15:10:22.392Z'
                message: Bank account not found
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        timestamp:
          type: string
          format: date-time
        path:
          type: string
        error:
          type: string
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````